*! 1.0 20jan2016 K. Houngbedji

cap program drop mreg
program define mreg, eclass
	version 11

	syntax [varlist] [if] [in] [, SEMYVar(varlist) IVar(name) XVar(varlist fv) diff cons test(string) * ]        
	marksample touse
	tokenize `varlist'
	local stop : word count `varlist'

	local i 1
	foreach var of local varlist {
		preserve 
			if "`if'" ~= "" quietly keep `if'		
			
			fvexpand `xvar', 
			local xvar `r(varlist)'
			
			cap qui reg `var' `xvar', `options'
			local N`i' = e(N)
			
			if "`cons'" ~= "" {
				matrix b`i' = _b[_cons]
				matrix V`i' = (_se[_cons])^2
				matrix p`i' = 2*ttail(e(df_r),abs(_b[_cons]/_se[_cons]))
			}
			else if "`diff'" ~= "" & "`semyvar'" == "" {
				matrix b`i' = _b[`ivar']
				matrix V`i' = (_se[`ivar'])^2
				matrix p`i' = 2*ttail(e(df_r),abs(_b[`ivar']/_se[`ivar']))
			}
			else if "`diff'" ~= "" & "`semyvar'" ~= "" & (strpos("`semyvar'", "`var'") == 0){
				matrix b`i' = _b[`ivar']
				matrix V`i' = (_se[`ivar'])^2
				matrix p`i' = 2*ttail(e(df_r),abs(_b[`ivar']/_se[`ivar']))
			}
			else if "`diff'" ~= "" & "`semyvar'" ~= "" & (strpos("`semyvar'", "`var'") > 0) {
				local df = scalar(e(df_r))
				qui nlcom exp(_b[`ivar'] -.5*(_se[`ivar'])^2) - 1, post
				matrix b`i' = _b[_nl_1]
				matrix V`i' = (_se[_nl_1])^2
				matrix p`i' = 2*ttail(`df',abs(_b[_nl_1]/_se[_nl_1]))
			}
			else { 
				qui lincom _b[_cons] + _b[`ivar']
				matrix b`i' = r(estimate)
				matrix V`i' = (r(se))^2
				matrix p`i' = 2*ttail(r(df),abs(r(estimate)/r(se)))
			}
			
			matrix obs`i' = `N`i''
			
			matname obs`i' ``i'' , c(.) e
			matname b`i' ``i'' , c(.) e
			matname p`i' ``i'' , c(.) e
			matname V`i' ``i'' , e
			
			if `"`test'"' ~= "" {
				cap qui test "`test'"
				local fstat`i' = r(F) 
				local fpval`i' = r(p) 
			}
			
		restore
		local i = `i' + 1
	}
	
	local dof = e(df_r)

	matrix b = b1
	matrix V = V1
	matrix p = p1
	matrix obs = obs1
	local N = `N1'
	local names "`1'"
	if `stop' >= 2 {
		local i 2
		while `i' <= `stop' {
			matrix b = b , b`i'
			matrix p = p , p`i'
			matrix obs = obs , obs`i'
			mata : V = blockdiag(st_matrix("V"), st_matrix("V`i'"))
			mata : st_matrix("V", V)
			local names "`names' ``i''"
			local  N = max(`N' , `N`i'')
			local  i = `i' + 1
		}	
	}
		
	matname b `names', c(.) e
	matname p `names', c(.) e
	matname obs `names', c(.) e
	matname V `names', e

	ereturn post b V, depname( Means) esample(`touse') dof(`dof')
	ereturn local cmd = "reg"
	
	if `"`test'"' ~= "" {
		matrix pval = `fpval1'
		matrix stat = `fstat1'
		if `stop' >= 2 {
			local i 2
			while `i' <= `stop' {
				matrix pval = pval , `fpval`i''
				matrix stat = stat , `fstat`i''
				local  i = `i' + 1
			}	
		}
		matname pval `names', c(.) e
		matname stat `names', c(.) e
		ereturn matrix fpval = pval
		ereturn matrix fstat = stat
	}
	ereturn scalar N = `N'
	ereturn matrix obs = obs
	ereturn display
	cap estadd matrix p = p, replace

end
