use "${raw}\2011\XRM.dta", clear
	
	bys hsclust hsstruct hsnumber: egen femhead = max(m02 == 1 & m03 == 2 )
	la var femhead "Female-headed household"
	
	replace m07=. if m07==-2
	
	bys hsclust hsstruct hsnumber: egen agehead = max(cond(m02 == 1, m07, .))
	la var agehead "Age of hh head"
	
	ta m12 if m12<5, gen(schl)
	gen educ=0 if m11==2
	replace educ = (m13*schl1) if schl1==1 & m13<3  // maternelle
	replace educ = (m13*schl2) if schl2==1 // primaire (ignore the 2 years of maternelle)
	replace educ = 6+(m13*schl3) if schl3==1 // primaire + secondaire 1 (college)
	replace educ = 6+4+(m13*schl4) if schl4==1 // primaire + secondaire 1 (college) + secondaire 2 (lycee)
	replace educ = 6+4+3+(m13*schl5) if schl5==1 // primaire + secondaire 1 (college) + secondaire 2 (lycee) + superieur
	replace educ=0 if mi(educ)
	
	bys hsclust hsstruct hsnumber: egen educhead = max(cond(m02 == 1, educ, .))
	la var educhead "Years of schooling of hh head"
	
	drop schl* educ
	
	bys hsclust hsstruct hsnumber : gen hhsize = _N
	la var hhsize "size of hh"
	
	bys hsclust hsstruct hsnumber : egen hhyoungboys=total(cond(m03 == 1 & m07 < 15 & m07 !=. & m04 == 1 & m06 == 1 , 1, 0))
	la var hhyoungboys "# of young boys in hh"
	
	gen youngboys = (hhyoungboys != 0)
	la var youngboys  "Has cohabiting young boys"
	
	bys hsclust hsstruct hsnumber: egen widowhead = max(m02 == 1 & m15 == 6)
	la var widowhead "Widow/widower head"
	
	bys hsclust hsstruct hsnumber: egen widowmember = max(m02 != 1 & m03 == 2 & m15 == 6)
	la var widowmember "Widow member"
	
	bys hsclust hsstruct hsnumber: egen widowermember = max(m02 != 1 & m03 == 1 & m15 == 6)
	la var widowermember "Widower member"
	
	bys hsclust hsstruct hsnumber: egen marrhead = max(m02 == 1 & inlist(m15, 2, 3, 4, 7))
	la var marrhead "Married head"
	
	bys hsclust hsstruct hsnumber: egen chefvillhead = max(m02 == 1 & (m16==1 | m17==1))
	la var chefvillhead "Household head is the village chief"
	
	bys hsclust hsstruct hsnumber: egen autrechefhead = max(m02 == 1 & (m16==4 | m16==5 | m16==6 | m16==7 | m17==4 | m17==5 | m17==6))
	la var autrechefhead "Household head is lineage / land / religious chief"
	
	replace chefvillhead = autrechefhead if chefvillhead == 0 & autrechefhead == 1
	la var chefvillhead "Household head is village/lineage/land/ religious chief"
	
	bys hsclust hsstruct hsnumber: egen fonctionhead = max(m02 == 1 & (m16==8 | m17==8))
	la var fonctionhead "Household head is a civil servant"
	
	bys hsclust hsstruct hsnumber: egen assocresphead = max(m02 == 1 & (m16==11 | m17==11))
	la var assocresphead "Household head is a village group leader"
	
	bys hsclust hsstruct hsnumber: egen assocmemhead = max(m02 == 1 & (m16==12 | m17==12))
	la var assocmemhead "Household head is a village group member"
	
	keep if m02 == 1
	
	keep  hsclust hsstruct hsnumber femhead agehead educhead hhsize youngboys widowhead marrhead chefvillhead fonctionhead assocresphead assocmemhead widowmember widowermember 
	order hsclust hsstruct hsnumber femhead agehead educhead hhsize youngboys widowhead marrhead chefvillhead fonctionhead assocresphead assocmemhead widowmember widowermember 
	
	sort hsclust hsstruct hsnumber 
	des
	
	label data "PFR 2011 IE data: HH head level dataset"
	compress
save "${build}\hhhead2011.dta", replace