use "${raw}\2011\XHS.dta", clear
	
	gen hhhomeowner = inlist(hab08, 1)
	la var hhhomeowner  "Household owns their house"
	
	gen walls_ciment=(hab03==2)
	la var walls_ciment "House walls made of cement"
	
	gen roof_ciment=inlist(hab04, 2, 3)
	la var roof_ciment "Roof made of cement or tiles"
		
	keep  hsclust hsstruct hsnumber hsdepart hscommun hsarrond hsquartier hhhomeowner walls_ciment roof_ciment
	order hsclust hsstruct hsnumber hsdepart hscommun hsarrond hsquartier hhhomeowner walls_ciment roof_ciment
	
	sort hsclust hsstruct hsnumber 
	des
	
	label data "PFR 2011 IE data: Characteristics of the HH homestead"
	compress
save "${build}\hhhomestead2011.dta", replace