use "${raw}\2011\XH.dta", clear
	
	gen pid = h01 
	
	preserve
		use "${raw}\2011\XRM.dta", clear
		
		gen pid = m00
		replace m07=. if m07==-2
		gen age = m07
		
		ta m12 if m12<5, gen(schl)
		gen educ=0 if m11==2
		replace educ = (m13*schl1) if schl1==1 & m13<3  // maternelle
		replace educ = (m13*schl2) if schl2==1 // primaire (ignore the 2 years of maternelle)
		replace educ = 6+(m13*schl3) if schl3==1 // primaire + secondaire 1 (college)
		replace educ = 6+4+(m13*schl4) if schl4==1 // primaire + secondaire 1 (college) + secondaire 2 (lycee)
		replace educ = 6+4+3+(m13*schl5) if schl5==1 // primaire + secondaire 1 (college) + secondaire 2 (lycee) + superieur
		replace educ=0 if mi(educ)
		bys hsclust hsstruct hsnumber: egen widowhead = max(m02 == 1 & m15 == 6)
		la var widowhead "Widow/widower head"
		
		sort hsclust hsstruct hsnumber pid
		
		keep hsclust hsstruct hsnumber pid age educ m15 m02 widowhead
		
		tempfile demovars
		save `"`demovars'"', replace
	restore
	
	merge 1:1 hsclust hsstruct hsnumber pid using `"`demovars'"', keep(master matched) nogen
	
	ren (age educ) (mage meduc)
	
	la var mage "Age of male respondent (years)"
	
	la var meduc "Years of schooling of male respondent"
	
	gen mhadpastunion = (h31a == 1 | h31b == 1)
	la var mhadpastunion "Respondent was previously in a union"
	
	gen mhaddivorced = (h32 == 1)
	la var mhaddivorced "Respondent separated from a previous union"
		
	gen mwaswidow = (h32 == 2)
	la var mwaswidow "Respondent is widow from a previous union"
	
	gen myearspastunion = 2011 - h33 if ~inlist(h33,., 9998, 9999)
	la var myearspastunion "Number of years since past union ended"
	
	gen     myearwhenwidow = cond(mwaswidow == 1, h33, .)
	replace myearwhenwidow = . if inlist(h33,., 9998, 9999)
	la var  myearwhenwidow "Year when wife died"
	
	gen     mwasinvillage = (h34 == 1)
	replace mwasinvillage = . if mhadpastunion == 0
	replace mwasinvillage = . if mhaddivorced == 1
	la var  mwasinvillage "Respondent was in the same village with former spouse"
	
	sort hsclust hsstruct hsnumber
	
	keep  hsclust hsstruct hsnumber mage meduc mhadpastunion mhaddivorced mwaswidow mwasinvillage myearspastunion myearwhenwidow
	
	order hsclust hsstruct hsnumber mage meduc mhadpastunion mhaddivorced mwaswidow mwasinvillage myearspastunion myearwhenwidow
	compress
save "${build}\men2011.dta", replace
