use "${raw}\2011\XPPF.dta", clear

	la variable hsclust "Cluster number"
	la variable hsstruct "Structure number"
	la variable hsnumber "Household number"
	
	gen pfraware = (ppfr05 == 1) 
	la var pfraware "HH heard about the PFR"
	
	ren ppfr29 rightsowner
	ren ppfr30 rightstenant
	ren ppfr31 rightswomen
	ren ppfr33 rightsmigrant

	gen pfrimptenurllord = (rightsowner == 1) if pfraware == 1
	la var pfrimptenurllord "PFR improves land tenure security for landlord"

	gen pfrimptenurtenant = (rightstenant == 1) if pfraware == 1
	la var pfrimptenurtenant "PFR improves land tenure security for tenants"

	gen pfrimptenurwom = (rightswomen == 1) if pfraware == 1
	la var pfrimptenurwom "PFR improves land tenure security for women"

	gen pfrimptenurmig = (rightsmigrant == 1) if pfraware == 1
	la var pfrimptenurmig "PFR improves land tenure security for migrants"

	sort hsclust hsstruct hsnumber 

	order hsclust hsstruct hsnumber pfraware pfrimptenurllord pfrimptenurtenant pfrimptenurwom pfrimptenurmig

	keep hsclust hsstruct hsnumber pfraware pfrimptenurllord pfrimptenurtenant pfrimptenurwom pfrimptenurmig
	
	label data "WB Benin PFR 2011 IE data: HH level PFR perceptions dataset"
	
save "${build}\pfrperceptions2011.dta", replace
