use "${raw}\2015\RM.dta", clear
	
	drop if mi(m00)
	isid hsclust hsstruct hsnumber m00
	ren m00 pid
	
	ren m01 name
	ren m01a pid2011
	ren m02 linkhead
	
	recode m03 (2=1) (1=0)
	ren m03 fem
	la define female 0 "male" 1 "female"
	la val fem female
	la var fem "Female"
		
	replace m15=.c if m15==8
	ren m15 marital
	
	la define M02en 1 "head" 2 "spouse" 3 "son/daughter" 5 "grand-son/daughter" 6 "father/mother" 7 "father/mother-in-law" ///
		8 "brother/sister" 9 "co-spouse" 10 "son/daughter-in-law" 11 "brother/sister-in-law" 12 "uncle/aunt" 13 "nephew/niece by blood" ///
		14 "nephew/niece through marriage" 15 "other relative" 16 "adopted child" 17 "no relationship" .a "I don't know"
	la val linkhead M02en
	
	la define M15en 1 "Single" 2 "Married monogamously" 3 "Married 2 wives" 4 "Married 3 wives or more" 5 "Divorced/separated" ///
		6 "Widow/widower" 7 "Free union" .c "Non applicable"
	la val marital M15en
		
	bys hsclust hsstruct hsnumber : egen femhead2015   = max(linkhead == 1 & fem == 1)
	bys hsclust hsstruct hsnumber : egen marrhead2015  = max(linkhead == 1 & inlist(marital, 2, 3, 4, 7))
	bys hsclust hsstruct hsnumber : egen widowhead2015 = max(linkhead == 1 & inlist(marital, 6))
	
	bys hsclust hsstruct hsnumber: egen widowmember2015   = max(linkhead != 1 & fem == 1 & marital == 6)
	bys hsclust hsstruct hsnumber: egen widowermember2015 = max(linkhead != 1 & fem == 0 & marital == 6)
	
	bys hsclust hsstruct hsnumber: egen nwidowmember2015   = max(linkhead != 1 & fem == 1 & marital == 6 & pid2011 == 99)
	bys hsclust hsstruct hsnumber: egen nwidowermember2015 = max(linkhead != 1 & fem == 0 & marital == 6 & pid2011 == 99)
	
	la var hsclust "Cluster number"
	la var hsstruct "Structure number"
	la var hsnumber "Household number"
	la var marrhead2015 "Married head in 2015"
	la var widowhead2015 "Widow/widower head in 2015"
	la var widowmember2015 "Widow member in 2015"
	la var widowermember2015 "Widower member in 2015"
	la var nwidowmember2015 "New household member is widow"
	la var nwidowermember2015 "New household member is widower"
	
	keep if linkhead == 1
	
	keep  hsclust hsstruct hsnumber femhead2015 marrhead2015 widowhead2015 widowmember2015 widowermember2015 nwidowmember2015 nwidowermember2015 
	order hsclust hsstruct hsnumber femhead2015 marrhead2015 widowhead2015 widowmember2015 widowermember2015 nwidowmember2015 nwidowermember2015
	
	sort hsclust hsstruct hsnumber 
	des
	
	label data "PFR 2015 IE data: HH head level dataset"
	compress
save "${build}\hhhead2015.dta", replace